import { Writable } from 'node:stream';
export const awslambda = () => {
    let responseStream;
    responseStream = new Writable({
        write(chunk, encoding, callback) {
            console.log(chunk.toString());
            callback();
        },
    });
    return {
        streamifyResponse: (handler) => async (event, context) => {
            await handler(event, responseStream, context);
            return responseStream;
        },
        HttpResponseStream: {
            from(responseStream, metadata) {
                //TODOD: implement writing metadata to responseStream
                return responseStream;
            },
        },
    };
};
